#version 430 core

in vec4 WS_pos_from_GS;

uniform vec2 near_far;
// near and far plane for cm - cams
uniform vec4 lightPosition;
// world space light position

void main(void)
{
	// calculate distance
	vec3 tmp = WS_pos_from_GS.xyz - lightPosition.xyz;
	float WS_dist = length(tmp);
	
	// map value to [0;1] by dividing by far plane distance
	float WS_dist_normalized = WS_dist / near_far.y;
	
	// write modified depth
	gl_FragDepth = WS_dist_normalized;
}