#version 430 core

in vec3 attr_vertex;

uniform mat4 Modelmatrix;
uniform vec3[90] offsets;

void main(void)
{
	// transform vertex to world space
	vec3 offset = offsets[gl_InstanceID];
	vec3 pos = attr_vertex + offset;
	gl_Position = Modelmatrix * vec4(pos, 1.0);
}