#version 430

layout(triangles) in;
layout(triangle_strip, max_vertices = 3) out;

in vec3 tePosition[3];
in vec2 teTexCoord[3];
in vec3 teNormal[3];
in vec3 teEyeWS[3];
in vec3 tePointLightDirWS[3];
in vec4 teShadowCoord[3];
in vec4 teAtt[3];

out vec3 gPosition;
out vec3 gFacetNormal;
out vec2 gTexCoord;
out vec3 gEyeWS;
out vec3 gPointLightDirWS;
out vec4 gShadowCoord;
out vec4 gAtt;

void main()
{

    gFacetNormal = teNormal[0];
    gTexCoord = teTexCoord[0];
	gEyeWS = teEyeWS[0];
	gPosition = tePosition[0];
	gPointLightDirWS = tePointLightDirWS[0];
	gShadowCoord = teShadowCoord[0];
	gAtt = teAtt[0];
    gl_Position = gl_in[0].gl_Position; EmitVertex();

    gFacetNormal = teNormal[1];
    gTexCoord = teTexCoord[1];
	gEyeWS = teEyeWS[1];
	gPosition = tePosition[1];
	gPointLightDirWS = tePointLightDirWS[1];
	gShadowCoord = teShadowCoord[1];
	gAtt = teAtt[1];
    gl_Position = gl_in[1].gl_Position; EmitVertex();

    gFacetNormal = teNormal[2];
    gTexCoord = teTexCoord[2];
	gEyeWS = teEyeWS[2];
	gPosition = tePosition[2];
	gPointLightDirWS = tePointLightDirWS[2];
	gShadowCoord = teShadowCoord[2];
	gAtt = teAtt[2];
    gl_Position = gl_in[2].gl_Position; EmitVertex();

    EndPrimitive();
}